elementId2Prefix {rgl} | R Documentation

## Use widget with old-style controls.

### Description

The `rglwidget` control is designed to work in the htmlwidgets framework. Older rgl web pages that used `writeWebGL` or knitr used a different method of linking the controls to the scene. This is a partial bridge between the two systems.

### Usage

    elementId2Prefix(elementId, prefix = elementId)

### Arguments

`elementId` | An element identifier from a `rglwidget` call.
`prefix` | The prefix to use in the old-style control.

### Details

Because of the order of initialization, this isn't a perfect bridge. The old-style control will not set the scene to the initial value from the control, but subsequent changes to the control should be passed to the widget.

### Value

This function generates Javascript code, so it should be used in an `results = "asis"` block in a knitr document.

### Author(s)

Duncan Murdoch

### Examples

    ## Not run:
    rglwidget(elementId = "thewidget")
    elementId2Prefix("thewidget", "theprefix")
    subsetSlider(subsets = as.list(1:5),
                 prefixes = "theprefix", subscenes = 1)

    ## End(Not run)

[Package rgl version 0.98.1 Index]